{"openapi":"3.1.0","info":{"contact":{"email":"hi@hedia.com","name":"Hedia ApS","url":"https://hedia.com"},"termsOfService":"https://www.hedia.com/terms-and-conditions","title":"Webhook API","description":"Webhooks allow you to build or set up Apps which subscribe to certain events. Webhooks provide a way for notifications to be delivered to an external web server whenever certain actions occur on an app or user. Also called a service hook.","version":"1.0.0"},"servers":[{"url":"https://webhook.hedia.com/api/v1"}],"security":[{"serviceWithUser":[]}],"tags":[{"name":"App Webhooks","description":"Manage app webhooks.","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations#app-webhooks","description":"Documentation"}},{"name":"User Webhooks","description":"Manage user webhooks.","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations#user-webhooks","description":"Documentation"}}],"paths":{"/apps/{appId}/webhooks":{"get":{"parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"}],"summary":"List app webhooks","operationId":"listAppWebhooks","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookArray"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"tags":["App Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/listAppWebhooks","description":"Documentation"}},"post":{"summary":"Create an app webkhook","operationId":"createAppWebhook","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateWebhookRequestBody"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webhook"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"callbacks":{"webhook":{"$ref":"#/components/callbacks/WebhookCallback"}},"tags":["App Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/createAppWebhook","description":"Documentation"}}},"/apps/{appId}/webhooks/{webhookId}":{"delete":{"summary":"Delete an app webhook","operationId":"deleteAppWebhook","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"},{"$ref":"#/components/parameters/WebhookIdPathParameter"}],"responses":{"204":{"$ref":"#/components/responses/NoContent"},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"tags":["App Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/deleteAppWebhook","description":"Documentation"}},"get":{"summary":"Get an app webhook","operationId":"getAppWebhook","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"},{"$ref":"#/components/parameters/WebhookIdPathParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webhook"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"tags":["App Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/getAppWebhook","description":"Documentation"}},"patch":{"summary":"Update an app webhook","operationId":"updateAppWebhook","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"},{"$ref":"#/components/parameters/WebhookIdPathParameter"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWebhookRequestBody"}}}},"responses":{"204":{"$ref":"#/components/responses/NoContent"},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"callbacks":{"webhook":{"$ref":"#/components/callbacks/WebhookCallback"}},"tags":["App Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/updateAppWebhook","description":"Documentation"}}},"/apps/{appId}/webhooks/{webhookId}/deliveries":{"get":{"summary":"List app webhook deliveries","operationId":"listAppWebhookDeliveries","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"},{"$ref":"#/components/parameters/WebhookIdPathParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookDeliveryArray"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"tags":["App Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/listAppWebhookDeliveries","description":"Documentation"}}},"/apps/{appId}/webhooks/{webhookId}/deliveries/{webhookDeliveryId}/attempts":{"get":{"summary":"List app webhook delivery attempts","operationId":"listAppWebhookDeliveryAttempts","parameters":[{"$ref":"#/components/parameters/AppIdPathParameter"},{"$ref":"#/components/parameters/WebhookIdPathParameter"},{"$ref":"#/components/parameters/WebhookDeliveryIdPathParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookDeliveryAttemptArray"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"tags":["App Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/listAppWebhookDeliveryAttempts","description":"Documentation"}}},"/users/{userId}/webhooks":{"get":{"parameters":[{"$ref":"#/components/parameters/UserIdPathParameter"}],"summary":"List user webhooks","operationId":"listUserWebhooks","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookArray"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"default":{"$ref":"#/components/responses/InternalServerError"}},"tags":["User Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/listUserWebhooks","description":"Documentation"}},"post":{"summary":"Create a user webhook","operationId":"createUserWebhook","parameters":[{"$ref":"#/components/parameters/UserIdPathParameter"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateWebhookRequestBody"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webhook"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"callbacks":{"webhook":{"$ref":"#/components/callbacks/WebhookCallback"}},"tags":["User Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/createUserWebhook","description":"Documentation"}}},"/users/{userId}/webhooks/{webhookId}":{"delete":{"summary":"Delete a user webhook","operationId":"deleteUserWebhook","parameters":[{"$ref":"#/components/parameters/UserIdPathParameter"},{"$ref":"#/components/parameters/WebhookIdPathParameter"}],"responses":{"204":{"$ref":"#/components/responses/NoContent"},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"tags":["User Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/deleteUserWebhook","description":"Documentation"}},"get":{"summary":"Get a user webhook","operationId":"getUserWebhook","parameters":[{"$ref":"#/components/parameters/UserIdPathParameter"},{"$ref":"#/components/parameters/WebhookIdPathParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webhook"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"tags":["User Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/getUserWebhook","description":"Documentation"}},"patch":{"summary":"Update a user webhook","operationId":"updateUserWebhook","parameters":[{"$ref":"#/components/parameters/UserIdPathParameter"},{"$ref":"#/components/parameters/WebhookIdPathParameter"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWebhookRequestBody"}}}},"responses":{"204":{"$ref":"#/components/responses/NoContent"},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"callbacks":{"webhook":{"$ref":"#/components/callbacks/WebhookCallback"}},"tags":["User Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/updateUserWebhook","description":"Documentation"}}},"/users/{userId}/webhooks/{webhookId}/deliveries":{"get":{"summary":"List user webhook deliveries","operationId":"listUserWebhookDeliveries","parameters":[{"$ref":"#/components/parameters/UserIdPathParameter"},{"$ref":"#/components/parameters/WebhookIdPathParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookDeliveryArray"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"tags":["User Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/listUserWebhookDeliveries","description":"Documentation"}}},"/users/{userId}/webhooks/{webhookId}/deliveries/{webhookDeliveryId}/attemps":{"get":{"summary":"List user webhook delivery attempts","operationId":"listUserWebhookDeliveryAttempts","parameters":[{"$ref":"#/components/parameters/UserIdPathParameter"},{"$ref":"#/components/parameters/WebhookIdPathParameter"},{"$ref":"#/components/parameters/WebhookDeliveryIdPathParameter"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookDeliveryAttemptArray"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/InternalServerError"}},"tags":["User Webhooks"],"externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/operations/listUserWebhookDeliveryAttempts","description":"Documentation"}}}},"components":{"securitySchemes":{"serviceWithUser":{"description":"A Service Bearer JSON Web Token with a sub property set to a user ID.","type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AppId":{"title":"App ID","description":"The app ID is a unique identifier for an app.","type":"string","format":"uuid","example":"b39687c8-01eb-40fd-b312-b4de499789a2","$id":"./components/schemas/AppId","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/AppId","description":"Documentation"}},"ProblemDetails":{"title":"Problem Details","description":"A problem details object provides additional information about a problem that occurred during an API request.","type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type.","examples":["/problems/unauthorized","about:blank"]},"title":{"type":"string","description":"A short, human-readable summary of the problem type.","examples":["Unauthorized"]},"status":{"type":"number","description":"The HTTP status code generated by the origin server for this occurrence of the problem.","examples":[401]},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem.","examples":["You must authenticate and provide the necessary permissions to access this resource. Please check your credentials or token."]}},"required":["type"],"$id":"./components/schemas/ProblemDetails","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/ProblemDetails","description":"Documentation"}},"WebhookId":{"title":"Webhook ID","description":"The webhook ID is a unique identifier for a webhook.","type":"string","format":"uuid","$id":"./components/schemas/WebhookId","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookId","description":"Documentation"}},"WebhookActive":{"title":"Webhook Active","description":"The active flag indicates whether or not the webhook is active.","type":"boolean","$id":"./components/schemas/WebhookActive","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookActive","description":"Documentation"}},"WebhookEvent":{"title":"Webhook Event","description":"The event is the type of payloads that is sent to the webhook.","type":"string","enum":["Object"],"$id":"./components/schemas/WebhookEvent","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookEvent","description":"Documentation"}},"WebhookEvents":{"title":"Webhook Events","description":"The events property is an array of webhook events.","type":"array","items":{"$ref":"#/components/schemas/WebhookEvent"},"$id":"./components/schemas/WebhookEvents","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookEvents","description":"Documentation"}},"WebhookSecret":{"title":"Webhook Secret","description":"The secret is a confidential string used to validate the authenticity of a webhook.","type":"string","minLength":16,"maxLength":64,"example":"7CB188E68AC8D35DAAD456E75F5F63EB9BA7079E6C2882943573E2FE0F831708","$id":"./components/schemas/WebhookSecret","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookSecret","description":"Documentation"}},"WebhookUrl":{"title":"Webhook URL","description":"The URL is the endpoint that will receive the webhook.","type":"string","format":"uri","example":"https://example.com/webhook","$id":"./components/schemas/WebhookUrl","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookUrl","description":"Documentation"}},"WebhookConfig":{"title":"Webhook Config","description":"The config property is an object that contains the webhook configuration.","type":"object","properties":{"active":{"$ref":"#/components/schemas/WebhookActive"},"events":{"$ref":"#/components/schemas/WebhookEvents"},"secret":{"$ref":"#/components/schemas/WebhookSecret"},"url":{"$ref":"#/components/schemas/WebhookUrl"}},"required":["active","events","secret","url"],"additionalProperties":false,"$id":"./components/schemas/WebhookConfig","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookConfig","description":"Documentation"}},"WebhookType":{"title":"Webhook Type","type":"string","enum":["app","user"],"$id":"./components/schemas/WebhookType","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookType","description":"Documentation"}},"UserId":{"title":"User ID","description":"The user ID is a unique identifier for a user.","type":"string","format":"uuid","example":"b39687c8-01eb-40fd-b312-b4de499789a2","$id":"./components/schemas/UserId","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/UserId","description":"Documentation"}},"CreatedAt":{"title":"Created At","description":"The created at property is a timestamp of when it was created.","type":"string","format":"date-time","example":"2024-01-20T15:00:00Z","$id":"./components/schemas/CreatedAt","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/CreatedAt","description":"Documentation"}},"UpdatedAt":{"title":"Updated At","description":"The updated at property is a timestamp of when it was last updated.","type":"string","format":"date-time","example":"2024-01-22T16:00:00Z","$id":"./components/schemas/UpdatedAt","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/UpdatedAt","description":"Documentation"}},"Webhook":{"title":"Webhook","type":"object","properties":{"id":{"$ref":"#/components/schemas/WebhookId"},"config":{"$ref":"#/components/schemas/WebhookConfig"},"type":{"$ref":"#/components/schemas/WebhookType"},"appId":{"$ref":"#/components/schemas/AppId"},"userId":{"$ref":"#/components/schemas/UserId"},"createdAt":{"$ref":"#/components/schemas/CreatedAt"},"updatedAt":{"$ref":"#/components/schemas/UpdatedAt"}},"required":["id","config","type","createdAt"],"additionalProperties":false,"$id":"./components/schemas/Webhook","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/Webhook","description":"Documentation"}},"WebhookArray":{"title":"Webhook Array","description":"The response is an array of webhooks.","type":"array","items":{"$ref":"#/components/schemas/Webhook"},"$id":"./components/schemas/WebhookArray","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookArray","description":"Documentation"}},"CreateWebhookRequestBody":{"title":"Create Webhook Request Body","description":"The request body for creating a webhook.","type":"object","properties":{"active":{"$ref":"#/components/schemas/WebhookActive"},"events":{"$ref":"#/components/schemas/WebhookEvents"},"secret":{"$ref":"#/components/schemas/WebhookSecret"},"url":{"$ref":"#/components/schemas/WebhookUrl"}},"required":["secret","url"],"additionalProperties":false,"$id":"./components/schemas/CreateWebhookRequestBody","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/CreateWebhookRequestBody","description":"Documentation"}},"WebhookDeliveryId":{"title":"Webhook Delivery ID","description":"The webhook delivery ID is a unique identifier for a webhook delivery.","type":"string","format":"uuid","$id":"./components/schemas/WebhookDeliveryId","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookDeliveryId","description":"Documentation"}},"WebhookDeliveryPayloadSignature":{"title":"Webhook Delivery Payload Signature","description":"The webhook delivery payload signature is the HMAC-SHA256 signature of the webhook delivery payload using the webhook secret.","type":"string","maxLength":64,"minLength":64,"$id":"./components/schemas/WebhookDeliveryPayloadSignature","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookDeliveryPayloadSignature","description":"Documentation"}},"WebhookDeliveryPayload":{"title":"Webhook Delivery Payload","type":"string","description":"See Event Payloads in the Event Service for more details.","$id":"./components/schemas/WebhookDeliveryPayload","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookDeliveryPayload","description":"Documentation"}},"UpdateWebhookRequestBody":{"title":"Update Webhook Request Body","description":"The request body for updating a webhook.","type":"object","properties":{"active":{"$ref":"#/components/schemas/WebhookActive"},"events":{"$ref":"#/components/schemas/WebhookEvents"},"secret":{"$ref":"#/components/schemas/WebhookSecret"},"url":{"$ref":"#/components/schemas/WebhookUrl"}},"additionalProperties":false,"$id":"./components/schemas/UpdateWebhookRequestBody","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/UpdateWebhookRequestBody","description":"Documentation"}},"WebhookDeliveryEvent":{"title":"Webhook Delivery Event","description":"The event is the type of payload that is sent to the webhook.","type":"string","enum":["object.created","object.deleted"],"$id":"./components/schemas/WebhookDeliveryEvent","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookDeliveryEvent","description":"Documentation"}},"WebhookDeliveryAttempts":{"title":"Webhook Delivery Attempts","description":"The current number of attempts made to deliver the webhook.","type":"integer","minimum":0,"$id":"./components/schemas/WebhookDeliveryAttempts","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookDeliveryAttempts","description":"Documentation"}},"WebhookDeliveryStatus":{"title":"Webhook Delivery Status","description":"The status property is the status of a webhook delivery.","type":"string","enum":["pending","success","failure"],"$id":"./components/schemas/WebhookDeliveryStatus","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookDeliveryStatus","description":"Documentation"}},"WebhookDelivery":{"title":"Webhook Delivery","type":"object","properties":{"id":{"$ref":"#/components/schemas/WebhookDeliveryId"},"webhookId":{"$ref":"#/components/schemas/WebhookId"},"event":{"$ref":"#/components/schemas/WebhookDeliveryEvent"},"payload":{"$ref":"#/components/schemas/WebhookDeliveryPayload"},"attempts":{"$ref":"#/components/schemas/WebhookDeliveryAttempts"},"status":{"$ref":"#/components/schemas/WebhookDeliveryStatus"},"createdAt":{"$ref":"#/components/schemas/CreatedAt"},"updatedAt":{"$ref":"#/components/schemas/UpdatedAt"}},"required":["id","webhookId","event","payload","attempts","status","createdAt"],"additionalProperties":false,"$id":"./components/schemas/WebhookDelivery","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookDelivery","description":"Documentation"}},"WebhookDeliveryArray":{"title":"Webhook Delivery Array","description":"The response is an array of webhook deliveries.","type":"array","items":{"$ref":"#/components/schemas/WebhookDelivery"},"$id":"./components/schemas/WebhookDeliveryArray","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookDeliveryArray","description":"Documentation"}},"WebhookDeliveryAttemptId":{"title":"Webhook Delivery Attempt ID","description":"The webhook delivery attempt ID is a unique identifier for a webhook delivery attempt.","type":"string","format":"uuid","$id":"./components/schemas/WebhookDeliveryAttemptId","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookDeliveryAttemptId","description":"Documentation"}},"WebhookDeliveryAttemptStatus":{"title":"Webhook Delivery Attempt Status","description":"The status property is the status of a webhook delivery attempt.","type":"string","enum":["pending","success","failure"],"$id":"./components/schemas/WebhookDeliveryAttemptStatus","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookDeliveryAttemptStatus","description":"Documentation"}},"WebhookDeliveryAttempt":{"title":"Webhook Delivery Attempt","type":"object","properties":{"id":{"$ref":"#/components/schemas/WebhookDeliveryAttemptId"},"webhookDeliveryId":{"$ref":"#/components/schemas/WebhookDeliveryId"},"status":{"$ref":"#/components/schemas/WebhookDeliveryAttemptStatus"},"createdAt":{"$ref":"#/components/schemas/CreatedAt"},"updatedAt":{"$ref":"#/components/schemas/UpdatedAt"}},"required":["id","webhookDeliveryId","status","createdAt"],"additionalProperties":false,"$id":"./components/schemas/WebhookDeliveryAttempt","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookDeliveryAttempt","description":"Documentation"}},"WebhookDeliveryAttemptArray":{"title":"Webhook Delivery Attempt Array","description":"The response is an array of webhook delivery attempts.","type":"array","items":{"$ref":"#/components/schemas/WebhookDeliveryAttempt"},"$id":"./components/schemas/WebhookDeliveryAttemptArray","externalDocs":{"url":"https://developer.hedia.com/services/webhook/api/v1/components/schemas/WebhookDeliveryAttemptArray","description":"Documentation"}}},"parameters":{"AppIdPathParameter":{"name":"appId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/AppId"}},"WebhookIdHeaderParameter":{"name":"X-Webhook-ID","in":"header","required":true,"schema":{"$ref":"#/components/schemas/WebhookId"}},"WebhookEventHeaderParameter":{"name":"X-Webhook-Event","in":"header","required":true,"schema":{"$ref":"#/components/schemas/WebhookEvent"}},"WebhookDeliveryIdHeaderParameter":{"name":"X-Webhook-Delivery-ID","in":"header","required":true,"schema":{"$ref":"#/components/schemas/WebhookDeliveryId"}},"WebhookDeliveryPayloadSignatureHeaderParameter":{"name":"X-Webhook-Delivery-Payload-Signature","in":"header","required":true,"schema":{"$ref":"#/components/schemas/WebhookDeliveryPayloadSignature"}},"WebhookIdPathParameter":{"name":"webhookId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/WebhookId"}},"WebhookDeliveryIdPathParameter":{"name":"webhookDeliveryId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/WebhookDeliveryId"}},"UserIdPathParameter":{"name":"userId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/UserId"}}},"responses":{"InternalServerError":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"BadRequest":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"Forbidden":{"description":"Forbidden","content":{"application/json":{},"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"NotFound":{"description":"Not Found","content":{"application/json":{},"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"NoContent":{"description":"No Content"}},"callbacks":{"WebhookCallback":{"{$request.body#/url}":{"post":{"summary":"Webhook callback","parameters":[{"$ref":"#/components/parameters/WebhookIdHeaderParameter"},{"$ref":"#/components/parameters/WebhookEventHeaderParameter"},{"$ref":"#/components/parameters/WebhookDeliveryIdHeaderParameter"},{"$ref":"#/components/parameters/WebhookDeliveryPayloadSignatureHeaderParameter"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookDeliveryPayload"}}}},"responses":{"204":{"$ref":"#/components/responses/NoContent"}}}}}}},"externalDocs":{"url":"https://developer.hedia.com/","description":"Documentation"}}